use crate::{CmdResult, CmdState, service::material::Material};

#[tauri::command]
pub async fn material(app_state: CmdState<'_>) -> CmdResult<()> {
    let material_service = Material::new(app_state.conn.clone());
    let material = material_service.get_material_list().await;
    match material {
        Ok(_) => Ok(()),
        Err(e) => Err(format!("请求材料信息失败{:?}", e)),
    }
}
