use std::sync::Arc;

use sea_orm::{DatabaseConnection, EntityTrait};

use crate::models::prelude::{MenuCommodity, MenuSku, MenuSpec};

pub struct Commodity {
    conn: Arc<DatabaseConnection>,
}

impl Commodity {
    pub fn new(conn: Arc<DatabaseConnection>) -> Self {
        return Self { conn };
    }

    pub async fn get_spu_list(&self) -> anyhow::Result<()> {
        let goods = MenuCommodity::find()
            .find_also_related(MenuSku)
            .find_also_related(MenuSpec)
            .all(&*self.conn)
            .await?;
        println!("{:?}", goods);
        Ok(())
    }
}
