use std::sync::Arc;

use sea_orm::{DatabaseConnection, EntityTrait};

use crate::models::prelude::StoreMaterial;

pub struct Material {
    conn: Arc<DatabaseConnection>,
}

impl Material {
    pub fn new(conn: Arc<DatabaseConnection>) -> Self {
        return Self { conn };
    }

    pub async fn get_material_list(&self) -> anyhow::Result<()> {
        let materials = StoreMaterial::find().all(&*self.conn).await?;
        println!("{:?}", materials);
        Ok(())
    }
}
