use std::sync::Arc;

use sea_orm::{DatabaseConnection, EntityTrait};

use crate::models::prelude::{StoreOrder, StoreOrderRefund};

pub struct Order {
    conn: Arc<DatabaseConnection>,
}

impl Order {
    pub fn new(conn: Arc<DatabaseConnection>) -> Self {
        return Self { conn };
    }

    pub async fn get_order_list(&self) -> anyhow::Result<()> {
        let orders = StoreOrder::find()
            .find_also_related(StoreOrderRefund)
            .all(&*self.conn)
            .await?;
        println!("{:?}", orders);
        Ok(())
    }
}
